.document-library {
  $parent: &;
  display: block;
  opacity: 1;  

  margin-left:auto;
  margin-right:auto;

  &__inner {
    opacity: 0;
    display: flex;
    transition: height 500ms ease-out, opacity 300ms linear;
    overflow: hidden;
    max-width: 1032px;
    margin: 0 auto;
    @include breakpoint($large) {
      overflow: visible;
      height: auto !important;
    }
  }

  &__main,
  &__panel-wrapper {
    flex: 0 0 auto;
    display: flex;
    align-items: flex-start;
    position: relative;
    width: 100%;

    @include breakpoint($large) {
      align-items: stretch;

      height: auto !important;
    }
  }

  &__main {
    display: block;

    @include breakpoint($large) {
      display: flex;
    }
  }

  &__backLink {
    color: $text-color;
    padding-left: calc(25px + 0.6rem);
    position: relative;
    line-height: 25px;
    cursor: pointer;

    @include breakpoint($large) {
      max-width: 350px;
    }

    .icon {
      display: inline-block;
      border: 2px solid $link-color;
      border-radius: 50%;
      width: 25px;
      height: 25px;
      position: absolute;
      left: 0;
      top: 0;
      cursor: pointer;

      @include breakpoint($large) {
        top: 0rem;
      }

      svg {
        position: absolute;
        top: 6px;
        left: 4px;
        width: 12px;
      }
    }
  }

  //need to refactor
  &__panel {
    display: flex;
    flex: 0 0 100%;

    position: relative;
    background: #fff;
    transform: translate3d(0, 0, 0);
    min-height: 300px;
    width: 100%;

    @include breakpoint($large) {
      flex: 0 0 auto;
      width: 100%;
      align-items: stretch;
      left: 0%;
      width: 60%;

      top: auto;
      left: auto;

      transform: translate3d(0, 0, 0);

      padding: 0 3em;

      &:before {
        content: "";

        display: none;

        position: absolute;
        top: 17px;
        bottom: 17px;
        left: 0;
        z-index: -2;

        width: 7px;

        box-shadow: -2px 0 20px 0 rgba(0, 0, 0, 0.3);
      }

      &:after {
        content: "";
        display: block;
        width: 100%;
        height: 100%;
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: -1;
        background: #fff;
      }
    }

    &--loading {
      #{$parent}__navlinks {
        opacity: 0;
        //only transition in
        transition: none;
      }
    }

    &--active {
      #{$parent}__panel-inner {
        height: auto;
      }
    }

    &--stage0 {
      transform: none;
      position: relative;
      left: auto;
      width: 100%;
      border-left: 0;
      padding: 0;

      #{$parent}__panel-inner {
        opacity: 1;
      }

      &:before,
      &:after {
        display: none;
      }

      @include breakpoint($large) {
        transform: translate3d(11%, 0, 0);
      }
    }

    .cta {
      margin-bottom: 5px;
    }
  }

  &--ready {
    #{$parent}__panel {
      transition: transform 300ms linear, padding 300ms linear;
    }

    #{$parent}__inner {
      opacity: 1;
    }
  }

  &__panel-inner {
    opacity: 1;
    width: 80%;
    //When the panel is NOT active we set the height to 0 - that way, we dont need to remove the content when the panel moves out of view, and the height of the overall component remains correct (the tallest active panel sets the height)
    height: 0;

    .document-library__columns > div:last-of-type {
      margin-bottom: 0;
    }

    @include breakpoint($large) {
      transition: opacity 200ms linear 150ms;
      opacity: 0;
    }
  }

  .document-library__panel--stage0 &__panel-inner {
    width: 100%;
  }

  /*
    Tempted to move these transformations into JS.  This will allow us to check the final resting position and convert to a pixel based value for rounding purposes.
  */

  &.stage-1,
  &.stage-2,
  &.stage-3,
  &.stage-4,
  &.search-stage-1,
  &.search-stage-2 {
    //same for all but stage-1 - overwritten below
    #{$parent}__panel--stage0 {
      transform: translate3d(-100%, 0, 0);
      @include breakpoint($large) {
        transform: translate3d(0, 0, 0);
      }
    }

    #{$parent}__column2 {
      opacity: 0;
    }
  }

  &.stage-1 {
    #{$parent}__panel--stage0 {
      transform: translate3d(-100%, 0, 0);
      @include breakpoint($large) {
        transform: translate3d(5.5%, 0, 0);
      }
    }

    #{$parent}__panel-wrapper {
      //move mobile transforms to here

      #{$parent}__panel {
        transform: translate3d(-100%, 0, 0);

        &--stage1 {
          // display:block;
          @include breakpoint($large) {
            transform: translate3d(-105%, 0, 0);
            padding: 0 1em 0 3em;
            border-left: 1px solid rgba(0, 63, 116, 0.1);
          }
          opacity: 1;

          #{$parent}__panel-inner {
            opacity: 1;
          }

          &:before,
          &:after {
            display: block;
          }
        }
      }
    }
  }

  &.stage-2 {
    #{$parent}__panel-wrapper {
      #{$parent}__panel {
        transform: translate3d(-200%, 0, 0);
        &--stage1 {
          @include breakpoint($large) {
            transform: translate3d(-142%, 0, 0);
            border-left: 1px solid rgba(0, 63, 116, 0.1);
          }
          // display:block;
          #{$parent}__panel-inner {
            opacity: 1;
          }
          &:before,
          &:after {
            display: block;
          }
        }

        &--stage2 {
          @include breakpoint($large) {
            transform: translate3d(-198%, 0, 0);
            padding: 0 1em 0 3em;
            border-left: 1px solid rgba(0, 63, 116, 0.1);
          }
          // display:block;
          #{$parent}__panel-inner {
            opacity: 1;
          }

          &:before,
          &:after {
            display: block;
          }
        }
      }
    }
  }

  &.stage-3 {
    #{$parent}__panel-wrapper {
      #{$parent}__panel {
        transform: translate3d(-300%, 0, 0);

        &--stage1 {
          @include breakpoint($large) {
            transform: translate3d(-152%, 0, 0);
            border-left: 1px solid rgba(0, 63, 116, 0.1);
          }

          #{$parent}__panel-inner {
            opacity: 1;
          }

          &:before,
          &:after {
            display: block;
          }
        }

        &--stage2 {
          @include breakpoint($large) {
            transform: translate3d(-231%, 0, 0);
            border-left: 1px solid rgba(0, 63, 116, 0.1);
          }
          // display:block;
          #{$parent}__panel-inner {
            opacity: 1;
          }

          &:before,
          &:after {
            display: block;
          }
        }

        &--stage3 {
          @include breakpoint($large) {
            transform: translate3d(-295%, 0, 0);
            padding: 0 1em 0 3em;
            border-left: 1px solid rgba(0, 63, 116, 0.1);
          }
          // display:block;
          #{$parent}__panel-inner {
            opacity: 1;
          }

          &:before,
          &:after {
            display: block;
          }
        }
      }
    }
  }

  &.stage-4 {
    #{$parent}__panel-wrapper {
      #{$parent}__panel {
        transform: translate3d(-400%, 0, 0);
        &--stage1 {
          @include breakpoint($large) {
            transform: translate3d(-155%, 0, 0);
            border-left: 1px solid rgba(0, 63, 116, 0.1);
          }

          #{$parent}__panel-inner {
            opacity: 1;
          }

          &:before,
          &:after {
            display: block;
          }
        }

        &--stage2 {
          @include breakpoint($large) {
            transform: translate3d(-240%, 0, 0);
            border-left: 1px solid rgba(0, 63, 116, 0.1);
          }

          #{$parent}__panel-inner {
            opacity: 1;
          }

          &:before,
          &:after {
            display: block;
          }
        }

        &--stage3 {
          @include breakpoint($large) {
            transform: translate3d(-318%, 0, 0);
            border-left: 1px solid rgba(0, 63, 116, 0.1);
          }

          #{$parent}__panel-inner {
            opacity: 1;
          }

          &:before,
          &:after {
            display: block;
          }
        }

        &--stage4 {
          @include breakpoint($large) {
            transform: translate3d(-387%, 0, 0);
            padding: 0 1em 0 3em;
            border-left: 1px solid rgba(0, 63, 116, 0.1);
          }

          #{$parent}__panel-inner {
            opacity: 1;
          }

          &:before,
          &:after {
            display: block;
          }
        }
      }
    }
  }

  &.search-stage-1 {
    #{$parent}__panel--stage0 {
      //moved slightly more to hide button
      transform: translate3d(-110%, 0, 0);
      @include breakpoint($large) {
        transform: translate3d(5.5%, 0, 0);
      }
    }

    #{$parent}__panel-wrapper {
      #{$parent}__panel {
        transform: translate3d(-100%, 0, 0);
        &--search1 {
          @include breakpoint($large) {
            transform: translate3d(-105%, 0, 0);
            padding: 0 1em 0 3em;
            border-left: 1px solid rgba(0, 63, 116, 0.1);
          }
          #{$parent}__panel-inner {
            opacity: 1;
          }

          &:before,
          &:after {
            display: block;
          }
        }
      }
    }
  }

  &.search-stage-2 {
    #{$parent}__panel-wrapper {
      #{$parent}__panel {
        transform: translate3d(-200%, 0, 0);
        &--search1 {
          @include breakpoint($large) {
            transform: translate3d(-142%, 0, 0);
            padding: 0 1em 0 3em;
            border-left: 1px solid rgba(0, 63, 116, 0.1);
          }
          #{$parent}__panel-inner {
            opacity: 1;
          }

          &:before,
          &:after {
            display: block;
          }
        }

        &--search2 {
          @include breakpoint($large) {
            transform: translate3d(-198%, 0, 0);
            padding: 0 1em 0 3em;
            border-left: 1px solid rgba(0, 63, 116, 0.1);
          }
          #{$parent}__panel-inner {
            opacity: 1;
          }

          &:before,
          &:after {
            display: block;
          }
        }
      }
    }
  }

  &__navlinks {
    display: block;
    padding-bottom: map-get($mobile, space-xsmsm);
    margin: 0;
    padding: 0;
    opacity: 1;
    transition: opacity 0.4s linear;
    li {
      color: $link-color;
      display: block;
      padding: 0;
      /*amends*/
      margin-bottom: 0.25rem;
      border-radius: 22px; //10px;
      /**amends*/
      overflow: hidden;

      @include breakpoint($large) {
        margin-left: -1.2rem;
      }

      a,
      > span {
        padding: 0.8rem 1rem 0.8rem 0.7rem;
        display: inline-block;
        border: none;
        /*amends*/
        border-radius: 22px; //10px;
        /**amends*/
        cursor: pointer;

        @include breakpoint($large) {
          padding: 0.8rem 1.8rem 0.8rem 1.2rem;
        }

        .arrowlink__link {
          padding: 0;
          margin-left: 20px;

          @include breakpoint($large) {
            margin-left: 30px;
          }

          span:first-child {
            border-bottom: 1px solid rgba(0, 0, 0, 0);
            transition: border-color linear 300ms;
          }

          span:not(:first-child) {
            display: block;
            color: $text-color;
            font-size: 80%;
            margin-top: 0.4rem;
          }
        }

        &:hover {
          background-color: $color-bg-coolGrey;

          .arrowlink__link {
            span:first-child {
              border-color: #3d3d3d;
            }
          }
        }
      }

      //need to check what this is
      &.featured {
        border: 1px solid $border-color;
        margin-bottom: 0.5rem;

        @include breakpoint($large) {
          margin-left: -1.2rem;
        }

        a,
        > span {
          padding: 0.7rem;
          margin-left: 0;
          display: block;

          @include breakpoint($large) {
            padding: 1.2rem;
          }
        }
      }

      &.selected {
        a,
        > span {
          /*amends*/
          background-color: #04589b; // $color-bg-coolGrey;
          color: #fff;
          border-radius: 22px;

          svg path,
          &:hover svg path {
            fill: #fff;
          }
          /**amends*/
        }
      }
    }
  }

  &__doclinks {
    padding: 0;
    margin: 0;
    list-style: none;

    li {
      margin-bottom: 1rem;

      &:last-of-type {
        margin-bottom: 0;
      }
    }

    ~ form {
      margin-top: 2em !important;
    }
  }

  &__heading {
    max-width: 450px;
    color: $color-heading;
    margin-bottom: map-get($mobile, space-sm);
    @include breakpoint($large) {
      margin-bottom: map-get($desktop, space-sm);
    }
  }

  &__search {
    margin: 0 0 2em;

    .search-input + .cta {
      margin: 0;
      margin-left: 1em;
      flex: 0 0 auto;
      padding: 0.8rem 1.2rem;

      /*amends*/
      padding-bottom: 0.7rem;
      padding-top: 0.9rem;
      background-color: #0095f4;
      color: #fff !important;
      &:hover,
      &:focus {
        background-color: #04589b;
      }
      /**amends*/
    }

    /*amends*/
    .search-input {
      padding-bottom: 0rem;
      border-bottom: none;

      input[type="text"] {
        border: 2px solid #0095f4;
        border-radius: 22px;
        padding-top: 0.8rem;
        padding-bottom: 0.6rem;
        padding-left: 1.2rem;
        transition: border 0.3s;
        background-color: #eee;

        &:active,
        &:focus {
          border-color: #04589b;
          background-color: #fff;
        }
      }
    }
    /**amends*/
  }

  &__search-inner {
    display: flex;
    align-items: flex-start;
  }

  &__search-error {
    display: block;
    margin-top: 1em;
    color: $invalid-colour;
  }

  &__columns {
    margin-top: 3px;
    display: block;
    flex-wrap: wrap;

    width: 100%;

    @include breakpoint($large) {
      align-items: stretch;
      display: flex;
    }
  }

  &__column1 {
    width: 100%;
    margin: 0 3em 3em 0;

    @include breakpoint($large) {
      width: 37%;
    }
  }

  &__column2 {
    width: 100%;
    margin: 0 0 3em 0;
    transition: opacity 300ms linear;

    @include breakpoint($large) {
      width: 46%;
    }
  }

  &__download-links {
    display: none;
  }

  &__expired {
    flex: 0 0 100%;

    @include breakpoint($large) {
      display: flex;
    }
  }

  .loading {
    position: absolute;
    top: 30%;
    left: 50%;
    margin-left: -52.5px;

    @include breakpoint($large) {
      top: 30%;
      left: 40%;
      margin: 0;
    }
  }

  &__overlay-message {
    h3 {
      margin: 0 0 2em;
    }
    img {
      margin: 0 0 2em;
    }
  }

  &__form-heading {
    display: block;
    margin-top: 3em;
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    span {
      color: #000;
    }
  }

  .module.notification {
    padding: 0 0 4em;
  }

  &__add-more {
    cursor: pointer;
    .icon {
      display: inline-block;
      margin-top: -2px;
      svg {
        height: 6px;
      }
    }
  }

  /*amends*/
  .document-library__panel--stage0 .document-library__navlinks {
    margin-left: 1.2rem;
  }
  &.stage-0 .document-library__panel--stage0 .document-library__navlinks {
    margin-left: 0;
  }
  /**amends*/
}

.overlay {
  &--document-library {
    .slide-pane__content {
      padding: 8rem 2.2rem 2rem;
    }

    .slide-pane__close .close {
      z-index: 10;
    }

    h3 {
      margin-bottom: 35px;
    }

    .form__container {
      padding: 0;
    }

    .module {
      padding: 0;
    }

    fieldset {
      margin: 0 0 3em;
    }

    .form .form-field--button {
      text-align: left;
    }

    .form {
      margin: 0 0 3em;
    }
  }
}
